# $Revision: 1.74.2.1 $, $Date: 2005/04/22 22:36:02 $
#
# Conditional build
#
# --with aalib		- with aalib video output
# --with directfb	- with DirectFB video output
# --with dxr3		- with DXR3 video output
# --with ggi		- with ggi video output
# --with gl		- with OpenGL video output
# --without sdl		- without SDL video/audio output
# --with svga		- with svgalib video output
# --without vidix	- without vidix video output
# --with xvmc		- with XvMC video output
# --with alsa		- with ALSA support
# --with arts		- with aRts support
# --with esd		- with EsounD support
# --with mad		- with MAD support
# --without jpeg	- without JPEG input/output support
# --without png		- without PNG input/output support (enabled automatically for GUI)
# --with gif		- with GIF89a input/output support
# --with divx4linux	- with external divx4linux codec (DivX4Linux)
# --with xvid		- with external xvid codec
# --with dts		- with DTS codec
# --without faad2	- without internal FAAD2(AAC) codec
# --with libvorbis	- with external Ogg Vorbis codec
# --with lzo		- with external LZO codec
# --without win32	- disable support for win32 codecs
# --without dshow	- disable support for DirectShow codecs
# --without qt		- disable support for QuickTime codecs
# --without xanim	- disable support for XAnim codecs
# --without real	- disable support for RealPlayer codecs
# --with live		- enable LIVE.com library support
# --with xmms		- enable XMMS input plugins support
# --with cdparanoia	- support CDDA reading using cdparanoia
# --without mpdvdkit	- disable internal mpdvdkit
# --with lirc		- enable lirc support
# --with dynamic_plugins- enable dynamic a/v plugins
# --without select	- disable audio select() support (ALSA and Vortex2 drivers require this option)
# --without menu	- disable OSD menu
# --with smb		- enable Samba (libsmbclient) support
# --without gui		- don't build gui gtk+ interface
# --without ft2		- disable freetype2 fonts support for OSD and subtitles
# --without fontconfig	- disable fontconfig support
# --with debug		- enable full debugging info

%define name mplayer
%define fname MPlayer
%define version 1.0pre7
%define cvsbuild 20050410

%define rel 2

%define cvs 0

%if%{cvs}
%define fversion %{cvsbuild}
%define release 0.%{cvsbuild}.%{rel}
%else
%define fversion %{version}
%define release %{rel}
%endif

%if %(rpm -q redhat-release >>/dev/null && echo 1 || echo 0)
 %define _distro rh%(rpm -q --queryformat '%{VERSION}' redhat-release | awk -F. '{print $1}')
%endif
%if %(rpm -q fedora-release >>/dev/null && echo 1 || echo 0)
 %define _distro fc%(rpm -q --queryformat '%{VERSION}' fedora-release | awk -F. '{print $1}')
%endif
%if %(rpm -q whitebox-release >>/dev/null && echo 1 || echo 0)
 %define _distro wb%(rpm -q --queryformat '%{VERSION}' whitebox-release | awk -F. '{print $1}')
%endif

%ifnarch %{ix86}
%define		_without_win32	1
%endif

%ifarch sparc64 sparc x86_64
%define		_without_vidix	1
%define		_without_xanim	1
%define		_without_real	1
%define		_with_alsa	1
%endif

%if%{!?_without_gui:1}%{?_without_gui:0}
%define		_with_png	1
%endif

%if%{?_without_win32:1}%{!?_without_win32:0}
%define		_without_dshow	1
%define		_without_qt	1
%endif

%if%{?_with_debug:1}%{!?_with_debug:0}
%define         __os_install_post       /usr/lib/rpm/brp-compress %{nil}
%endif

# The language to use in mplayer: all or, one of: cz de dk en es fr hu nl no pl ro ru
%define	mplang		all

%define _codecsdir	%{_libdir}/codecs

%define xvmclib		XvMCNVIDIA

Summary: MPlayer - The Movie Player.
Name: %{name}
Version: %{version}
Release: %{release}%{?_with_debug:dbg}
Vendor: The MPlayer Project
URL: http://www.mplayerhq.hu
Group: Applications/Multimedia
Source0: http://www2.mplayerhq.hu/MPlayer/releases/%{fname}-%{fversion}.tar.bz2
Source2: g%{name}.desktop
Source3: n019003l.pfb
Source4: http://icculus.org/~jcspray/gnome-mplayer.png
Source5: http://www.mplayerhq.hu/~alex/svgalib_helper-1.9.17-mplayer.tar.bz2
Patch1: %{name}-rpm-cvs.patch
Patch2: %{name}-rpm-release.patch
#Patch3: 380sux.diff
Patch4: %{name}-nodebug.patch
Patch5: %{name}-lavc.patch
Patch6: %{name}-gui.patch
Patch7: %{name}-libmpdvdkit2.patch
Patch8: %{name}-warnings.patch
Patch9: %{name}-loader.patch
Patch10: %{name}-loader-printf.patch
Patch11: %{name}-printf-format.patch
Patch12: %{name}-warnings-printf.patch
Patch13: %{name}-tremor.patch
Patch14: vo_x11_colfix.diff
License: GPL
Epoch: 3
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%if %{_distro} == rh7
BuildRequires: gcc3 >= 3.1
%else
BuildRequires: gcc >= 3.2.2
%endif
BuildRequires: XFree86-devel >= 4.0.3
BuildRequires: libtermcap-devel
BuildRequires: audiofile-devel
BuildRequires: zlib-devel
%if%{cvs}
# for XML docs
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: libxml2
BuildRequires: libxslt
BuildRequires: make >= 3.80
#
%endif
%{?_with_alsa:BuildRequires:		alsa-lib-devel}
%{?_with_arts:BuildRequires:		arts-devel}
%{?_with_aalib:BuildRequires:		aalib-devel}
%{?_with_cdparanoia:BuildRequires:	cdparanoia-devel}
#%{?_with_directfb:BuildRequires:	directfb-devel}
%{?_with_divx4linux:BuildRequires:	divx4linux-devel >= 4}
%{?_with_dts:BuildRequires:		libdts-devel}
%{?_with_dxr3:BuildRequires:		em8300-devel}
%{?_with_esd:BuildRequires:		esound-devel}
%{!?_without_fontconfig:BuildRequires:	fontconfig-devel}
%{!?_without_ft2:BuildRequires:		freetype-devel >= 2.0.9}
%{?_with_ggi:BuildRequires:		libggi-devel}
%{?_with_gif:BuildRequires:		libungif-devel}
%{?_with_gl:BuildRequires:		Mesa-devel}
%{!?_without_gui:BuildRequires:		gtk+-devel >= 1.2}
%{!?_without_jpeg:BuildRequires:	libjpeg-devel}
%{?_with_lirc:BuildRequires:		lirc-devel}
%{?_with_live:BuildRequires:		live}
%{!?_without_sdl:BuildRequires:		SDL-devel >= 1.1.7}
%{?_with_smb:BuildRequires:		samba}
%{?_with_svga:BuildRequires:		svgalib-devel}
%{!?_without_png:BuildRequires:		libpng-devel}
%{?_with_libvorbis:BuildRequires:	libvorbis-devel}
%{?_with_xmms:BuildRequires:		xmms-devel}
%{?_with_xvid:BuildRequires:		xvidcore-static}
Obsoletes: %{name}-common
Requires: XFree86-libs >= 4.0.3
%{!?_without_sdl:Requires: 	SDL >= 1.1.7}

%description
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and QuickTime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

%package gui
Group: Applications/Multimedia
Summary: MPlayer with GUI interface
Provides: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name}-skin-default
Requires: %{name} = %{epoch}:%{version}
Requires: XFree86-libs >= 4.0.3
%{!?_without_sdl:Requires: 	SDL >= 1.1.7}

%description gui
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and QuickTime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

%package -n mencoder
Group: Applications/Multimedia
Summary: MEncoder is a movie encoder for LINUX.
Requires: mplayer = %{epoch}:%{version}

%description -n mencoder
MEncoder a movie encoder for LINUX and is a part of the MPlayer package.

%if%{?_without_ft2:0}%{!?_without_ft2:1}
%package tools
Group: Applications/Multimedia
Summary: Various tools for the MPlayer
BuildRequires: freetype-devel >= 2.0.9
Requires: mplayer

%description tools
Various optional tools for use with MPlayer.

Currently included:
* mplayer_subfont	a tool for creating OSD fonts
%endif

%package vidix
Group: Applications/Multimedia
Summary: VIDeo Interface for *nIX
Requires: mplayer = %{epoch}:%{version}
Requires: mplayer-vidix-driver = %{epoch}:%{version}

%description vidix
VIDIX is the abbreviation for VIDeo Interface for *niX.
VIDIX was designed and introduced as an interface for fast user-space
drivers providing DGA everywhere where it's possible (unlike X11).
I hope that these drivers will be as portable as X11 (not only on *nix).
* What is it: It's a portable successor of mga_vid technology, but it's
  located in user-space.
* Unlike X11 it provides DGA everywhere it's possible
* Unlike v4l it provides interface for video playback
* Unlike linux's drivers it uses the math library

%package vidix-3DLabs
Group: Applications/Multimedia
Summary: VIDIX driver for 3DLabs Permedia3 cards
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-permedia

%description vidix-3DLabs
VIDIX driver for 3DLabs GLINT R3/Permedia3 driver.

%package vidix-ATI-Mach64
Group: Applications/Multimedia
Summary: VIDIX driver for ATI Mach64
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-mach64

%description vidix-ATI-Mach64
VIDIX driver for ATI Mach64.

%package vidix-ATI-Radeon
Group: Applications/Multimedia
Summary: VIDIX driver for ATI Radeon
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-radeon

%description vidix-ATI-Radeon
VIDIX driver for ATI Radeon.

%package vidix-ATI-Rage128
Group: Applications/Multimedia
Summary: VIDIX driver for ATI Rage128
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-rage128

%description vidix-ATI-Rage128
VIDIX driver for ATI Rage128.

%package vidix-Matrox
Group: Applications/Multimedia
Summary: VIDIX drivers for Matrox Gxxx series
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-mga

%description vidix-Matrox
Two VIDIX drivers for Matrox Gxxx series (using BES and CRTC2).

%package vidix-nVidia
Group: Applications/Multimedia
Summary: VIDIX driver for nVidia chips (experimental)
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-nvidia

%description vidix-nVidia
VIDIX driver for nVidia chips (experimental)

%package vidix-SiS
Group: Applications/Multimedia
Summary: VIDIX driver for SiS chips (experimental)
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-sis

%description vidix-SiS
VIDIX driver for SiS chips (experimental)

%package vidix-S3
Group: Applications/Multimedia
Summary: VIDIX driver for S3 Savage chips (experimental)
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}

%description vidix-S3
VIDIX driver for S3 Savage chips (experimental)

%package vidix-Trident
Group: Applications/Multimedia
Summary: VIDIX driver for Trident Cyberblade i1
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-vidix-trident

%description vidix-Trident
VIDIX driver for Trident Cyberblade i1.

%package vidix-VIA
Group: Applications/Multimedia
Summary: VIDIX driver for VIA CLE266
Provides: %{name}-vidix-driver = %{epoch}:%{version}-%{release}

%description vidix-VIA
VIDIX driver for VIA CLE266.

%prep
%setup -q -n %{fname}-%{fversion}
pushd libdha
bzip2 -dc %{SOURCE5} | tar -xf -
popd
%if%{cvs}
%patch1 -p1 -b .r
#%patch3 -p1 -b .380sux
%else
%patch2 -p1 -b .r
%endif
%patch4 -p1 -b .nodebug
%patch5 -p1 -b .lavc
%{!?_without_gui:%patch6 -p1 -b .gui}
%patch7 -p1 -b .mpdvdkit2
%if%{cvs}
%patch8 -p1 -b .warn
%patch9 -p1 -b .loader
%endif
%patch10 -p1 -b .loader-printf
%patch11 -p1 -b .printf-format
%patch12 -p1 -b .printf
%patch13 -p1 -b .tre
%ifarch sparc sparc64
%patch14 -p0 -b .colfix
%endif

%build
%if %{!?_with_debug:1}%{?_with_debug:0}
# this is equivalent to -O3
#" -W -Wfloat-equal"
CFLAGS="-Wall -Wno-uninitialized -Wno-unused-parameter -Wno-unused-variable -Wno-unused-function -Wno-unused-label -Wno-trigraphs -fno-strict-aliasing"
CFLAGS="$CFLAGS $RPM_OPT_FLAGS -fomit-frame-pointer -ffast-math -finline-functions -frename-registers"
%ifnarch mips
CFLAGS="$CFLAGS -pipe"
%endif
%else
CFLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-O. //' -e 's/-mcpu=.+ //' -e 's/-march=.+ //' -e 's/-mcpu=.+ //'`
%endif
export CFLAGS
LC_MESSAGES=C ; export LC_MESSAGES

# build GUI version
%if %{!?_without_gui:1}%{?_without_gui:0}
./configure \
			--enable-gui \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--libdir=%{_libdir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=%{mplang} \
%{?_with_debug:		--enable-debug=3} \
%ifarch i386
			--enable-runtime-cpudetection \
%endif
%ifarch sparc64
			--with-extralibdir="/lib64:/usr/lib64:/usr/X11R6/lib64" \
%endif
			--enable-largefiles \
			--enable-mga \
		        --enable-xmga \
		        --enable-tdfxfb \
%{!?_with_aalib:	--disable-aa} \
%{!?_with_alsa:		--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{!?_with_directfb:	--disable-directfb} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{!?_with_dts:		--disable-libdts} \
%{!?_with_dxr3:		--disable-dxr3} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_esd:		--disable-esd} \
%{?_without_faad2:	--disable-internal-faad} \
%{?_without_fontconfig:	--disable-fontconfig} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{!?_with_gif:		--disable-gif} \
%{!?_with_gl:		--disable-gl} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{!?_with_live:		--disable-live} \
%{!?_with_mad:		--disable-mad} \
%{!?_without_menu:	--enable-menu} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{?_without_qt:		--disable-qtx} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_codecsdir}} \
%{?_without_sdl:	--disable-sdl} \
%{?_without_select:	--disable-select} \
%{!?_with_smb:		--disable-smb} \
%{!?_with_svga:		--disable-svga} \
%{?_without_vidix:	--disable-vidix} \
%{?_with_libvorbis:	--disable-internal-tremor} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_codecsdir}} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_codecsdir}} \
%{?_with_xmms:		--enable-xmms} \
%{!?_with_xvid:		--disable-xvid} \
%{?_with_xvmc:		--enable-xvmc --with-xvmclib=%{xvmclib}}

%{__make}
mv -f mplayer gmplayer
%{__make} clean

echo Here be dragonz warning

%endif

# now build regular version
./configure \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--libdir=%{_libdir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=%{mplang} \
%{?_with_debug:		--enable-debug=3} \
%ifarch i386
			--enable-runtime-cpudetection \
%endif
%ifarch sparc64
			--with-extralibdir=/lib64:/usr/lib64:/usr/X11R6/lib64 \
%endif
			--enable-largefiles \
			--enable-mga \
		        --enable-xmga \
		        --enable-tdfxfb \
%{!?_with_aalib:	--disable-aa} \
%{!?_with_alsa:		--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{!?_with_directfb:	--disable-directfb} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{!?_with_dts:		--disable-libdts} \
%{!?_with_dxr3:		--disable-dxr3} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_esd:		--disable-esd} \
%{?_without_faad2:	--disable-internal-faad} \
%{?_without_fontconfig:	--disable-fontconfig} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{!?_with_gif:		--disable-gif} \
%{!?_with_gl:		--disable-gl} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{!?_with_live:		--disable-live} \
%{!?_with_mad:		--disable-mad} \
%{!?_without_menu:	--enable-menu} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{?_without_qt:		--disable-qtx} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_codecsdir}} \
%{?_without_sdl:	--disable-sdl} \
%{?_without_select:	--disable-select} \
%{!?_with_smb:		--disable-smb} \
%{!?_with_svga:		--disable-svga} \
%{?_without_vidix:	--disable-vidix} \
%{?_with_libvorbis:	--disable-internal-tremor} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_codecsdir}} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_codecsdir}} \
%{?_with_xmms:		--enable-xmms} \
%{!?_with_xvid:		--disable-xvid} \
%{?_with_xvmc:		--enable-xvmc --with-xvmclib=%{xvmclib}}

%{__make}

%if%{?_without_ft2:0}%{!?_without_ft2:1}
pushd TOOLS/subfont-c
make OPTFLAGS="$RPM_OPT_FLAGS"
popd
%endif

%if%{cvs}
# build HTML documentation from XML files
pushd DOCS/xml
make html-chunked
popd
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%if%{cvs}
find . -name CVS | xargs rm -rf
%endif
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install

# install configs
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/%{name}}
sed -e 's/include =.*//' < etc/example.conf | sed -e 's/fs=yes/# fs=yes/' | sed -e 's/# vo=xv/vo=xv/' >$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%if%{!?_without_menu:1}%{?_without_menu:0}
install -m 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%endif

# default font placeholder
touch $RPM_BUILD_ROOT%{_datadir}/%{name}/font

# install default Type1 font for subtitles
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/subfont.ttf

%if%{?_without_ft2:0}%{!?_without_ft2:1}
# install tools
pushd TOOLS/subfont-c
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/{osd,encodings}
install osd/{gen.py,osd.pfb,README,runme} $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/osd/
install encodings/* $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/encodings/
install -m 755 subfont $RPM_BUILD_ROOT%{_bindir}/mplayer_subfont
popd
%endif

# cleanup CVS stuff
rm -rf DOCS/*/CVS

# add mencoder.1 man-link
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/mencoder.1
echo ".so mplayer.1" > $RPM_BUILD_ROOT%{_mandir}/man1/mencoder.1

# install international manpages and man-links
for dir in cs de es fr hu it pl sv zh ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$dir/man1
%if %{_distro} == rh7
	install DOCS/man/$dir/mplayer.1 $RPM_BUILD_ROOT%{_mandir}/$dir/man1
%else
	case $dir in
		cs|pl|hu)	ENC=iso8859-2 ;;
		zh)		ENC=GB2312 ;;
		*)	ENC=iso8859-1 ;;
	esac
	iconv -f$ENC -tutf-8 DOCS/man/$dir/mplayer.1 >$RPM_BUILD_ROOT%{_mandir}/$dir/man1/mplayer.1
%endif
	rm -f $RPM_BUILD_ROOT%{_mandir}/$dir/man1/mencoder.1
	echo ".so mplayer.1" > $RPM_BUILD_ROOT%{_mandir}/$dir/man1/mencoder.1
done

# include skin, icon and menu entry if building with GUI
%if%{!?_without_gui:1}%{?_without_gui:0}
install -m 755 g%{name} $RPM_BUILD_ROOT%{_bindir}/
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/X11/applnk/Multimedia,%{_datadir}/pixmaps}
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

%{?_with_freedesktop:install -d $RPM_BUILD_ROOT%{_datadir}/applications}
%{?_with_freedesktop:desktop-file-install --vendor %{desktop_vendor} --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE2}}
%{!?_with_freedesktop:install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/}

%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post vidix -p /sbin/ldconfig

%postun vidix -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/mplayer
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/input.conf
%if%{!?_without_menu:1}%{?_without_menu:0}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%endif
# some useful tech docs
%doc DOCS/tech/hwac3.txt DOCS/tech/mpsub.sub DOCS/tech/slave.txt
%doc DOCS/tech/subcp.txt
# HTML and XML-generated docs
%doc DOCS/HTML/en
%lang(de) %doc %dir DOCS/de
%lang(es) %doc %dir DOCS/HTML/es
%lang(fr) %doc %dir DOCS/HTML/fr
%lang(hu) %doc %dir DOCS/HTML/hu
%lang(it) %doc %dir DOCS/it
%lang(pl) %doc %dir DOCS/HTML/pl
%lang(ru) %doc %dir DOCS/HTML/ru
%lang(zh) %doc %dir DOCS/zh
# manpages
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%lang(zh) %{_mandir}/zh/man1/*
%dir %{_datadir}/%{name}
%ghost %{_datadir}/%{name}/font
%{_datadir}/%{name}/subfont.ttf

%if%{!?_without_gui:1}%{?_without_gui:0}
%files gui
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/gmplayer
%{_datadir}/pixmaps/gnome-%{name}.png
%{_sysconfdir}/X11/applnk/Multimedia/gmplayer.desktop
%endif

%files -n mencoder
%defattr(0644,root,root,0755)
%doc DOCS/tech/encoding-tips.txt DOCS/tech/swscaler_filters.txt
%doc DOCS/tech/swscaler_methods.txt DOCS/tech/colorspaces.txt
%attr(755,root,root) %{_bindir}/mencoder

%if%{?_without_ft2:0}%{!?_without_ft2:1}
%files tools
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/mplayer_subfont
%attr(755,root,root) %{_datadir}/%{name}/fonts/osd/gen.py
%{_datadir}/%{name}/fonts/osd/osd.pfb
%{_datadir}/%{name}/fonts/osd/README
%attr(755,root,root) %{_datadir}/%{name}/fonts/osd/runme
%attr(755,root,root) %{_datadir}/%{name}/fonts/encodings/charmap2enc
%{_datadir}/%{name}/fonts/encodings/osd-mplayer
%attr(755,root,root) %{_datadir}/%{name}/fonts/encodings/runme-kr
%endif

%if%{?_without_vidix:0}%{!?_without_vidix:1}
%files vidix
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_libdir}/libdha.so.*
%dir %{_libdir}/mplayer/vidix

%files vidix-3DLabs
%attr(755,root,root) %{_libdir}/%{name}/vidix/pm3_vid.so

%files vidix-ATI-Mach64
%attr(755,root,root) %{_libdir}/%{name}/vidix/mach64_vid.so

%files vidix-ATI-Radeon
%attr(755,root,root) %{_libdir}/%{name}/vidix/radeon_vid.so

%files vidix-ATI-Rage128
%attr(755,root,root) %{_libdir}/%{name}/vidix/rage128_vid.so

%files vidix-Matrox
%attr(755,root,root) %{_libdir}/%{name}/vidix/mga_crtc2_vid.so
%attr(755,root,root) %{_libdir}/%{name}/vidix/mga_vid.so

%files vidix-nVidia
%attr(755,root,root) %{_libdir}/%{name}/vidix/nvidia_vid.so

%files vidix-S3
%attr(755,root,root) %{_libdir}/%{name}/vidix/savage_vid.so

%files vidix-SiS
%attr(755,root,root) %{_libdir}/%{name}/vidix/sis_vid.so

%files vidix-Trident
%attr(755,root,root) %{_libdir}/%{name}/vidix/cyberblade_vid.so

%files vidix-VIA
%attr(755,root,root) %{_libdir}/%{name}/vidix/unichrome_vid.so
%endif

%changelog
* Sat Apr 23 2005 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre7-2
- fix building on x86_64

* Sat Apr 16 2005 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre7-1
- 1.0pre7
- optional libdts support
- optional XvMC/nVidia support
- internal Tremor Vorbis decoder is the default now

* Sun Apr 10 2005 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS
- updated patches

* Fri Mar 18 2005 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS
- disable strict aliasing warnings
- standarize strlcpy/strlcat implementation
- include support for building under WB Linux (RHEL clone)
  (thanks to sjmudd)

* Thu Mar 03 2005 Dominik Mierzejewski <dominik@rangers.eu.org>
- Aurora portability fixes (thanks to enderw at icm.edu.pl)

* Wed Mar 02 2005 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS
- fixed a few compilation warnings
- fixed tremor warnings (http://trac.xiph.org/cgi-bin/trac.cgi/ticket/622)
- fixed zh manpage source encoding

* Tue Dec 28 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre6-1
- 1.0pre6a
- reorganized and simplified package layout
- updated patches
- GUI requires the default skin (fix APT deps resolution)
- included S3 Savage VIDIX driver
- enable menu by default

* Tue Dec 14 2004 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS
- added Czech and Swedish manpages
- added VIA CLE266 VIDIX driver
- convert manpages to UTF-8 on newer RedHats and Fedora
- buildrequire make 3.80

* Fri Sep 24 2004 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS
- CVS snapshots now come in single file
- LIVE.com support
- fixed build with freedesktop

* Tue Jul 27 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre5-2
- 7.3 RPMs got linked with non-distro fontconfig package, fixed

* Sun Jul 25 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre5-1
- 1.0pre5
- removed obsolete patches
- changed versioning scheme
- support libavformat
- post-pre5 subreader fix
- post-pre5 get_path memleak fix (with very last-minute segfault fix)
- fix non-English manpages installation
- disable post-install stripping of binaries with debug build
- svgalib kernel helper support for vidix
- specfile cleanups

* Thu May 27 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre4-4
- updated BuildRequires: to match current build environment
- ODML fixes from CVS

* Thu May 13 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre4-3
- fix Provides: versioning

* Fri May 07 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre4-2
- fix installation with rpm-4.2.2 on Fedora Core

* Thu May 06 2004 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre4-1
- 1.0pre4
- updated patches
- patch to fix sig11 with some RealMedia files
- patch to fix unwanted ODML aspect tag writing

* Tue Apr 27 2004 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot (http parser vuln fixed)
- updated & reordered patches
- fixed almost all compiler warnings
- added Italian manpage

* Tue Feb 17 2004 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- updated patches
- modified transparent GNOME icon by John Spray
- move all codecs to %{_libdir}/codecs
- (finally) fixed building on all RedHat and Fedora versions
- more consistent vidix driver naming
- added some missing Requires: for GUI

* Mon Feb 09 2004 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- updated patches
- patch for XML docs makefile to work with make < 3.80 (Gabucino)

* Sun Jan 25 2004 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- fixed building on RedHat 9 (patch & idea by enderw)
- updated patches
- fixed XML doc building

* Sat Jan 03 2004 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- updated patches

* Sun Dec 21 2003 Irenusz Lewkowicz <enderw@icm.edu.pl> 1.0pre3-2
- some changes needed to build under Fedora Core 1
- added sis vidix driver

* Sat Dec 13 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre3-1
- 1.0pre3

* Tue Dec 02 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- updated warnings patch
- use gcc32-3.2.2 from kde-redhat project for building
- enable internal FAAD2 support by default (new gcc compiles it fine)

* Fri Nov 07 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- fixed FAAD detection (patch by Diego)
- updated patches

* Sun Oct 26 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- updated patches
- build HTML docs from XML docs

* Sun Oct 05 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 1.0pre2-1
- 1.0pre2
- added nvidia vidix driver

* Tue Sep 30 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- updated patches

* Sun Sep 21 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS snapshot
- updated patches

* Sat Sep 13 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- 1.0pre1
- use external FAAD library for now (included 2.0rc1 doesn't compile
  with gcc-3.1 due to gcc bug)
- disable Samba support by default
- fixed a lot of printf format warnings
- fixed some fbdev2 missing includes

* Wed Aug 27 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS main branch
- removed obsolete patches
- small spec tweaks
- re-added some less technical docs
- disable svgalib, DXR3 and DirectFB by default 
- cosmetics 

* Mon Jul 21 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS main branch

* Mon Jun 23 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS main branch
- updated patches

* Thu Jun 19 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS main branch
- disable-qtx-codecs -> disable-qtx
- fixed docs paths
- fixed some new warnings

* Sun Jun 01 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest CVS main branch
- ported specfile fixes from stable branch
- updated all patches
- fixed new warnings

* Mon Feb 18 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc4-1
- 0.90rc4
- updated patches
- fixed building with libpng-1.2 on RH8
- added Type1 font
- updated main package descriptions

* Wed Jan 22 2003 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc3-2
- 0.90rc3
- updated patches
- FreeType enabled by default now

* Sat Jan 18 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- experimental patch by A'rpi to fix constant a/v desync with some DVDs
- enable vidix on other archs
- specfile cleanups

* Wed Jan 08 2003 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- support building under RH8.x
- updated patches
- support building with XMMS input plugin support and OSD menu
- Win32 DLL/DShow/DMO/QT, XAnim and Real codecs support requires my codec RPMs

* Wed Dec 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc2-1
- 0.90rc2
- updated patches
- added French and Chinese docs
- added Trident Cyberblade i1 vidix driver

* Sun Dec 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches

* Mon Dec 16 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches now included in upstream, updated others

* Thu Dec 12 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- don't disable overlapping subtitles by default, let user do it

* Sun Dec 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90rc1-1
- 0.90rc1
- updated patches

* Tue Dec 03 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- added a patch to turn off overlapping subtitles
- more warning fixes
- removed -Wall patch

* Sun Nov 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches now included in upstream
- included new experimental QT loader
- support full debug build (--with debug)

* Fri Nov 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches, fixed more warnings
- patch to add -Wall to CFLAGS if compiler supports it

* Thu Nov 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre10-1
- 0.90pre10

* Thu Nov 07 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches (removed those merged in upstream)

* Wed Nov 06 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches and added a *lot* of compiler warning fixes

* Fri Oct 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre9-1
- 0.90pre9
- enable jpeg support by default
- include version string patches for both cvs and release versions, switched
  at build time

* Thu Oct 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches (warning fixes included in upstream)

* Mon Oct 21 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches, new warning fixes
- removed DOCS/tech/ from file list (requested by A'rpi)
- added support for building with LZO

* Sun Sep 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- removed docs from mencoder package (already included in mplayer-common)

* Thu Sep 19 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre8-1
- 0.90pre8
- updated patches

* Sun Sep 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- moved Hungarian tech docs to Hungarian docs subdir

* Sun Sep 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- changed mplayer's version string (mplayer -v output) to indicate that it is the RPM version

* Thu Sep 05 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre7-1
- 0.90pre7
- updated patches
- added patch to fix locale issues with GUI (Dietrich Clau <dc2@clauss.dyndns.org>)
- updated file list
- reorganized package layout
- added GUI version in a subpackage

* Wed Sep 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches

* Mon Sep 02 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches which are now included in upstream

* Sun Sep 01 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed patches which are now included in upstream
- fixed some of the remaining compiler warnings

* Thu Aug 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- almost all compiler warning fixes now in upstream
- BuildRequires libtermcap-devel instead of ncurses-devel
- added -tools subpackage
- removed bogus unzip BuildRequires
- bumped minimum gcc version required to build to 3.1
- added a patch to allow specifying all paths via ./configure
- added support for freetype2
- removed explicit mplayer-vidix Requires from all vidix drivers
- fixed building with arts support
- fixed almost all remaining compiler warnings

* Wed Aug 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- GUI code compiler warning fixes now in upstream

* Mon Aug 26 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Sun Aug 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- more compiler warning fixes (including GUI code)

* Sat Aug 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- many more compiler warning fixes

* Tue Aug 20 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Sat Aug 17 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- fixed English manpage being accidentally overwritten (10l of cola bug) :->

* Thu Aug 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- changed URL:
- updated docs file list
- updated libdha filename

* Wed Aug 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Mon Aug 12 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre6-2
- fix sig11 when loading wmv8 codec (gcc bug?)

* Sat Aug 10 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre6-1
- 0.90pre6
- updated warnings and GUI patches
- added CVS fix for crash after mute (Mark James <mrj@bigpond.net.au>)

* Sun Aug 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated warnings patch
- updated mencoder docs list

* Tue Jul 25 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated warnings patch

* Tue Jul 23 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Sun Jul 21 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Fri Jul 19 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated warnings and nodebug patches

* Mon Jul 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- fixed building with cdparanoia
- updated doc list
- updated GUI warnings patch

* Thu Jul 11 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- ulong typedef is needed on cygwin - warnings patch fixed

* Wed Jul 10 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- added cdparanoia support (optional)

* Mon Jul 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- added mencoder.1 -> mplayer.1 man-links

* Fri Jul 05 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- introduced Permedia3 vidix driver
- updated warnings patches

* Mon Jul 01 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot

* Fri Jun 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- set xv as default vo in /etc/mplayer/mplayer.conf
- added "k6" to K6-optimized i586 RPMs to differentiate

* Mon Jun 24 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed confpath patch (now in upstream)
- removed almost whole rpm patch (now in upstream)

* Sun Jun 23 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- fixed building --without vidix
- updated docs list

* Sat Jun 22 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed bad hunks from warnings patch

* Sat Jun 15 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- add -frename-registers to fully emulate -O3 (according to GCC 3.1 specs)

* Fri Jun 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed obsolete hunks from gui warnings patch (now in upstream)
- removed *many* obsolete hunks from warnings patch (now in upstream)

* Sat Jun 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre5-1
- 0.90pre5
- updated warnings patch

* Fri Jun 07 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- support building with arts
- moved some tech docs into mencoder package
- updated warnings patch

* Mon Jun 03 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- include both ix86 and alpha xanim patches in source package
- rebuilt with gcc3-3.1 to fix false glibc dependency

* Fri May 31 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated patches
- GUI requires PNG support (thanks to Samuel Liddicott <sam@liddicott.com>
  for pointing it out)
- removed font requirement

* Wed May 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- updated doc file list

* Tue May 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- removed some hunks from my warnings patch (now included in upstream)
- updated nodebug patch

* Mon May 13 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre4-1
- 0.90pre4
- cleaned up warnings patch
- cleaned up confpath patch
- changed xanim codec patches

* Sun May 12 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- latest snapshot
- allow building K6-optimized i586 package
- disable GIF89a support by default
- use -O3 equivalent in CFLAGS

* Sun May 05 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- latest snapshot

* Sat May 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org> 0.90pre3-1
- 0.90pre3
- updated warnings patch

* Tue Apr 30 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 0.90pre2
- do not build buggy vidix drivers
- support both x86 and alpha versions of RedHat 7.1 Powertools XAnim package

* Mon Apr 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- latest snapshot
- skin and font in a separate package
- remove any arts references - it's not supported
- enable SDL (requested by Arpi)
- enable xanim (requested by Alex)
- disable jpeg and png support by default
- move vidix and its drivers into subpackages

* Sun Apr 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- runtime CPU detection is disabled by default, so enable
- make more features optional at build time
- move skin to a subpackage

* Sat Apr 27 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020427 snapshot
- updated warnings patch
- prepare for public release

* Fri Apr 26 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020425 snapshot
- updated .nodebug patch

* Sat Apr 20 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- support for building with xvid

* Fri Apr 19 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020419 snapshot
- updated warnings patch

* Wed Apr 17 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020417 snapshot
- updated warnings patch
- removed stale nasm BuildRequires:
- updated %%doc filelist

* Thu Apr 11 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020411 snapshot
- memcpy fix now included in tarball

* Wed Apr 10 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- fix memcpy SIGSEGV (patch by Adam Sulmicki <adam@cfar.umd.edu>)

* Tue Apr 09 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020409 snapshot
- updated warnings patch

* Sat Apr 06 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020406 snapshot

* Tue Apr 02 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020402 snapshot

* Tue Mar 26 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020326 snapshot
- updated warnings patch

* Thu Mar 21 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020321 snapshot
- updated config patches
- rebuilt with divx4linux 5.0
- updated and reorganized all patches
- built with gcc3-3.0.4

* Thu Mar 14 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020314 snapshot
- include libdha and vidix drivers

* Fri Mar 08 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- 20020308 snapshot
- patch to fallback to /etc/mplayer/input.conf
- rename mplayer-encoder to mencoder
- added Requires: for mencoder

* Mon Mar 04 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- added ffmpeg support (0.4.6pre CVS version)
- specfile cleanups
- better per-arch optimizations

* Sun Mar 03 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to latest snapshot
- gui bcond
- borrowed some PLD patches and ideas
- added more docs and manuals

* Sun Jan 06 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.60
- included skin and font

* Thu Dec 30 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.60pre2 pre-release
- updated compilation warnings patch
- added a $DESTDIR patch

* Thu Dec 27 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.60pre1 pre-release
- fixed some compilation warnings
- updated %%doc file list
- split encoder subpackage
- install config files in correct places

* Wed Oct 10 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.50 release/CVS 20011009
- updated my Makefile patch
- simplified %%ifarch'd parts
- work around anti-gcc-2.96 "protection"
- updated file list
- added necessary BuildRequires: and Requires:
- added a patch to fix some compilation warnings

* Fri Oct 05 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to 0.50pre3

* Tue Oct 02 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to CVS snapshot 20011002

* Mon Sep 10 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to CVS snapshot 20010910

* Thu Sep 06 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- built with divx4linux support

* Mon Sep 03 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- updated to CVS snapshot 20010903
- removed obsoleted patches

* Fri Aug 31 2001 Dominik Mierzejewski <dominik@rangers.eu.org>
- initial build
- added patch to fix missing includes
- fix Makefile for non-root builds
- added locale-dependent doc files
